Subject: Re: [PATCH RFC 1/3] meson: add infrastructure to build internal Rust library

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2025 15:46:53 -0700

"brian m. carlson" <[email-masked]> writes:

> I don't see any changes in this series that wire up the Makefile to do
> the same thing.  Lots of people use the Makefile, or things based on the
> Makefile like the autotools, so we'll want to make sure this
> autodetection works there.  For instance, I build with the Makefile, we
> build with it at work, and Debian builds only with the Makefile.

Yeah, that is a bit disappointing, but I was not surprised, as that
is what the cover letter promised to give us ;-)

> We also probably need to test this configuration in CI as well.
>
>> diff --git a/meson.build b/meson.build
>> index e8ec0eca165..1c0e98bbc14 100644
>> --- a/meson.build
>> +++ b/meson.build
>> @@ -1702,8 +1702,21 @@ version_def_h = custom_target(
>>  )
>>  libgit_sources += version_def_h
>>  
>> +libgit_libraries = [ ]
>> +
>> +if meson.version().version_compare('>=1.9.0')
>
> I think we need a different approach.  Debian 13, which was just
> released, only supports meson 1.7.0, and you have to use testing or
> unstable to get 1.9.0.  There are no versions of Ubuntu, released or
> not, that support meson 1.9.0.
>
> If we require this version, practically nobody is going to actually test
> this case.
>
> Our platform support policy implies that we should be requiring nothing
> greater than meson 0.56.2, which is available in Debian 11 and has LTS
> support until 2026-08-31.  Ubuntu 22.04 offers 0.61.2.

Thanks for reminding all of us.